FROM mcr.microsoft.com/dotnet/aspnet:5.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build
WORKDIR /src
COPY ["nuget.config", "."]
COPY ["Code/ProjetBlazor/ProjetBlazor.csproj", "ProjetBlazor/"]
RUN dotnet restore "Code/ProjetBlazor/ProjetBlazor.csproj"
COPY . .
WORKDIR "/Code/ProjetBlazor"
RUN dotnet build "ProjetBlazor.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "ProjetBlazor.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "ProjetBlazor.dll"]
